import { defineStore } from 'pinia';

export const useTradeStore = defineStore('trade', {
  state: () => ({
    tradeItem: null
  }),
  actions: {
    setTradeItem(item) {
      this.tradeItem = item;
    },
    getTradeItem() {
      return this.tradeItem;
    },
    clearTradeItem() {
      this.tradeItem = null;
    }
  }
});